summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTilman Klar <phoenix@gentoo.org>2002-08-30 16:01:52 +0000
committerTilman Klar <phoenix@gentoo.org>2002-08-30 16:01:52 +0000
commit0e4c2ee2e162a9b291325b02d612a05a79ce3047 (patch)
tree6149cd09a280dbeffdb8f58b9fe30c73ab6cc4b4 /net-dialup/speedtouch/files
parentMasking the new package net-dialup/speedtouch (diff)
downloadgentoo-2-0e4c2ee2e162a9b291325b02d612a05a79ce3047.tar.gz
gentoo-2-0e4c2ee2e162a9b291325b02d612a05a79ce3047.tar.bz2
gentoo-2-0e4c2ee2e162a9b291325b02d612a05a79ce3047.zip
Initial import of speedtouch
Diffstat (limited to 'net-dialup/speedtouch/files')
-rw-r--r--net-dialup/speedtouch/files/adsl.sample23
-rw-r--r--net-dialup/speedtouch/files/digest-speedtouch-1.11
-rw-r--r--net-dialup/speedtouch/files/speedtouch.confd14
-rw-r--r--net-dialup/speedtouch/files/speedtouch.rc682
4 files changed, 120 insertions, 0 deletions
diff --git a/net-dialup/speedtouch/files/adsl.sample b/net-dialup/speedtouch/files/adsl.sample
new file mode 100644
index 000000000000..468faac6e5cc
--- /dev/null
+++ b/net-dialup/speedtouch/files/adsl.sample
@@ -0,0 +1,23 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+# This file could be rename but its place is under /etc/ppp/peers
+# To connect to Internet using this configuration file
+# pppd call adsl, where "adsl" stands for the name of this file
+
+debug
+kdebug 1
+noipdefault
+defaultroute
+pty "/usr/sbin/pppoa3 -m 1 -c -vpi 8 -vci 35"
+sync
+user "your_login_here"
+noauth
+noaccomp
+nopcomp
+noccp
+novj
+holdoff 4
+persist
+maxfail 25
+usepeerdns
diff --git a/net-dialup/speedtouch/files/digest-speedtouch-1.1 b/net-dialup/speedtouch/files/digest-speedtouch-1.1
new file mode 100644
index 000000000000..24acc1658028
--- /dev/null
+++ b/net-dialup/speedtouch/files/digest-speedtouch-1.1
@@ -0,0 +1 @@
+MD5 f7828aefa97b66903f048204fadbe94c speedtouch-1.1.tar.bz2 137412
diff --git a/net-dialup/speedtouch/files/speedtouch.confd b/net-dialup/speedtouch/files/speedtouch.confd
new file mode 100644
index 000000000000..cfede61a352e
--- /dev/null
+++ b/net-dialup/speedtouch/files/speedtouch.confd
@@ -0,0 +1,14 @@
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+# Config file for the speedtouch ebuild
+
+# Set the microcode path
+# MICROCODE="/usr/share/speedtouch/mgmt.o"
+
+# Set verbose level for modem_run
+VERBOSE="0"
+
+# Set the peer filename
+# This should be in /etc/ppp/peers/
+PEER="adsl"
diff --git a/net-dialup/speedtouch/files/speedtouch.rc6 b/net-dialup/speedtouch/files/speedtouch.rc6
new file mode 100644
index 000000000000..df02b5fb444c
--- /dev/null
+++ b/net-dialup/speedtouch/files/speedtouch.rc6
@@ -0,0 +1,82 @@
+#!/sbin/runscript
+# Copyright 1999-2002 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+PPP=$(which pppd)
+MODEM_RUN=$(which modem_run)
+MOUNT=$(which mount)
+UMOUNT=$(which umount)
+IFCONFIG=$(which ifconfig)
+
+MAX_LOOP=60
+
+check_modem_run() {
+[ "${MICROCODE:-set}" = set ] && ( eend 1 "Please define \$MICROCODE in /etc/conf.d/speedtouch" ; exit 1 )
+[ -f ${MICROCODE} ] ; eend $? "Failed to find the microcode." || exit 1
+[ -x ${MODEM_RUN} ] ; eend $? "Failed to find the 'modem_run' executable." || exit 1
+
+# usbdevfs is up ?
+( ${MOUNT} | grep -q usbdevfs ) || $MOUNT none /proc/bus/usb -t usbdevfs > /dev/null 2>&1
+
+sleep 1
+
+## Let's check if modem_run is UP. If not let's try lauching it (again)?
+( ps -e | grep -q modem_run ) || $MODEM_RUN -v $VERBOSE -m -f $MICROCODE
+RETURNED=$?
+
+sleep 1
+if [ $RETURNED -ne 0 ]; then # modem_run CAN'T run
+ eerror "Can't load the microcode !!"
+ eerror "Please detach and attach again your modem to the USB port to unload the microcode."
+ eerror "Then run '/etc/init.d/speedtouch start'"
+return 1
+fi
+
+}
+
+depend() {
+need localmount modules
+}
+
+start() {
+
+ebegin "Starting Speedtouch ADSL Modem..."
+
+check_modem_run || eend 1 "Failed to start Speedtouch ADSL Modem..."
+
+[ ! -z $PPP ] ; eend $? "Failed to find ppp" || exit 1
+[ -f "/etc/ppp/peers/$PEER" ] ; eend $? "Failed to find peer configuration" || exit 1
+[ -x $IFCONFIG ] ; eend $? "Failed to find 'ifconfig'" || exit 1
+
+## Allright. Start pppd.
+einfo "Launching the PPP daemon..."
+rm -f /var/run/pppoa*.pid
+start-stop-daemon --start --exec $PPP call $PEER > /dev/null 2>&1
+
+RETURNED=1
+LOOPS=0
+
+# Loop until connection has been established with the ISP
+# or the transaction has failed
+while [ $RETURNED -ne 0 ] && [ $LOOPS -le $MAX_LOOP ] ; do
+ $IFCONFIG | grep -q 'ppp'
+ RETURNED=$?
+ LOOPS=`expr $LOOPS + 1`
+ sleep 1
+done
+
+if [ $LOOPS -gt $MAX_LOOP ] && [ $RETURNED -ne 0 ] ; then
+ eerror "Failed to start the PPP daemon" ; return 1
+fi
+
+
+eend $? "Failed to start Speedtouch ADSL Modem..."
+}
+
+stop () {
+ebegin "Shutting down the SpeedTouch ADSL Modem..."
+
+start-stop-daemon --stop --pidfile /var/run/ppp0.pid pppd
+
+eend $? "Failed to stop 'pppd'."
+}